# $Revision: 1.44 $, $Date: 2010/06/06 08:31:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	Smb
Summary:	Authen::Smb - Perl extension to authenticate against an SMB server
Summary(pl.UTF-8):	Authen::Smb - rozszerzenie Perla do uwierzytelniania za pośrednictwem serwera SMB
Name:		perl-Authen-Smb
Version:	0.91
Release:	10
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	97d8aee872160eeabd0c08a7b0985216
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::Smb Perl module allows you to authenticate a user against an
NT domain. You can specify both a primary and a backup server to use
for authentication. The NT names of the machines should be used for
specifying servers.

%description -l pl.UTF-8
Moduł Perla Authen::Smb umożliwia uwierzytelnianie użytkownika za
pośrednictwem domeny NT. Daje możliwość określenia zarówno serwera
podstawowego, jak i zapasowego, które bedą używane do
uwierzytelniania. Do określenia serwerów należy używać nazw NT. 

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/Smb.pm
%dir %{perl_vendorarch}/auto/Authen/Smb
%{perl_vendorarch}/auto/Authen/Smb/autosplit.ix
%{perl_vendorarch}/auto/Authen/Smb/Smb.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Authen/Smb/Smb.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Authen-Smb.spec,v $
Revision 1.44  2010/06/06 08:31:02  arekm
- release 10

Revision 1.43  2008/02/10 12:00:01  arekm
- rel 9

Revision 1.42  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.41  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.39  2004/11/03 21:01:01  paladine
- formatting

Revision 1.38  2004/06/05 18:10:31  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.37  2004/05/07 01:24:53  ankry
- rel. 8

Revision 1.36  2004/05/06 18:09:16  ankry
- fixed perl-devel BR

Revision 1.35  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.34  2004/04/17 06:28:03  ankry
- better descriptions/summaries

Revision 1.33  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.32  2004/03/09 20:55:13  adamg
- new style bconds

Revision 1.31  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.30  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 17:42:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:26:41  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/08/03 11:29:10  ankry
- translations, cleaning
- added test on BCond, new %%doc
- added autosplit.ix
- release 6

Revision 1.21  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 01:44:40  kloczek
- cosmetics.

Revision 1.18  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:06:21  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:24:04  depesz
adapterized

Revision 1.15  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:05:16  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/27 18:21:34  kloczek
- release 3: rebuild against perl 5.6 and use new rpm automation.

Revision 1.9  2000/08/27 18:24:04  kloczek
- release 2.

Revision 1.8  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.6  2000/05/02 21:05:02  baggins
- fixed including macros

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
